Name:           perl-Catalyst-Controller-FormBuilder
Version:        0.05
Release:        5%{?dist}
Summary:        Catalyst FormBuilder Base Controller
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Controller-FormBuilder/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSTROUT/Catalyst-Controller-FormBuilder-%{version}.tar.gz
Patch0:         no_scalar_util_0_19.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(CGI::FormBuilder) >= 3.02
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::WWW::Mechanize::Catalyst) >= 0.37
BuildRequires:  perl(Tie::IxHash) >= 1.21
# work around bundled M::I
BuildRequires:  perl(CPAN)

# not auto-picked up, or to keep rpmlint happy...
Requires:       perl(Catalyst)
Requires:       perl(warnings)
Requires:       perl(lib)

### auto-added brs!
BuildRequires:  perl(Class::Inspector) >= 1.13
BuildRequires:  perl(Catalyst::Runtime) >= 5.7
BuildRequires:  perl(Scalar::Util) >= 1.19
BuildRequires:  perl(Class::Data::Inheritable) >= 0.04
BuildRequires:  perl(MRO::Compat) >= 0.09

%description
This base controller merges the functionality of CGI::FormBuilder with
Catalyst and the following templating systems: Template Toolkit, Mason and
HTML::Template. This gives you access to all of FormBuilder's niceties,
such as controllablefield stickiness, multilingual support, and Javascript
generation. For more details, see CGI::FormBuilder or the website at:

    http://www.formbuilder.org

%prep
%setup -q -n Catalyst-Controller-FormBuilder-%{version}
%patch0

find . -type f -exec chmod -x -c {} +

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(TestApp.*)/d'
EOF

%define __perl_provides %{_builddir}/Catalyst-Controller-FormBuilder-%{version}/%{name}-prov
chmod +x %{__perl_provides}


# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(FindBin)/d; /perl(Test::.*)/d'
EOF

%define __perl_requires %{_builddir}/Catalyst-Controller-FormBuilder-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.05-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.05-4
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 30 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.05-2
- add br on CPAN

* Fri May 29 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- auto-update to 0.05 (by cpan-spec-update 0.01)
- altered br on perl(Test::WWW::Mechanize::Catalyst) (0 => 0.37)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- added a new br on perl(Class::Inspector) (version 1.13)
- added a new br on perl(Catalyst::Runtime) (version 5.7)
- altered br on perl(Tie::IxHash) (0 => 1.21)
- added a new br on perl(Scalar::Util) (version 1.19)
- added a new br on perl(Class::Data::Inheritable) (version 0.04)
- altered br on perl(CGI::FormBuilder) (0 => 3.02)
- added a new br on perl(MRO::Compat) (version 0.09)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 19 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-2
- bump

* Mon Mar 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- Specfile autogenerated by cpanspec 1.74.
